summaryrefslogtreecommitdiffstats
path: root/dcop/tests/run-tests.sh
diff options
context:
space:
mode:
authorSlávek Banko <slavek.banko@axis.cz>2020-12-06 10:50:13 +0100
committerSlávek Banko <slavek.banko@axis.cz>2020-12-06 10:50:47 +0100
commit8bc0bc7fc67437fbf757283604104e998ad2fda7 (patch)
tree49f743699c44a1613ba92435087cb4ab2ee4d80c /dcop/tests/run-tests.sh
parent3a4e7a0733ee08ca552a4941c45eaaf68fad13b1 (diff)
downloadtdelibs-8bc0bc7fc67437fbf757283604104e998ad2fda7.tar.gz
tdelibs-8bc0bc7fc67437fbf757283604104e998ad2fda7.zip
tests: Wait for the dcop server to be ready.
Use a separate ICEAUTHORITY for tests. Signed-off-by: Slávek Banko <slavek.banko@axis.cz> (cherry picked from commit 19f44e5ff3756172540e768fc0d08d761f0c374e)
Diffstat (limited to 'dcop/tests/run-tests.sh')
-rw-r--r--dcop/tests/run-tests.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/dcop/tests/run-tests.sh b/dcop/tests/run-tests.sh
index dc3640511..0d0b02aad 100644
--- a/dcop/tests/run-tests.sh
+++ b/dcop/tests/run-tests.sh
@@ -10,7 +10,9 @@ clean_up
# create temporary home
export HOME=$PWD/test-home
mkdir $HOME
+export ICEAUTHORITY=$HOME/.ICEauthority
+echo '* Starting dcop server'
../dcopserver --nofork &
DCOP_SERVER_PID=$!
@@ -22,6 +24,10 @@ die() {
}
trap 'die "The script interrupted by user"' 2 15
+while ! ../dcopserver --serverid 2>/dev/null; do
+ echo '* Wait for the dcop server'
+ sleep 2
+done
echo '* Running batch mode'
./dcop_test --batch >batch.stdout || die "Failed to run dcop_test"